Delete a Folder
curl --request DELETE \
--url https://bots.toolzz.ai/api/v1/folders/{folderId}import requests
url = "https://bots.toolzz.ai/api/v1/folders/{folderId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://bots.toolzz.ai/api/v1/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bots.toolzz.ai/api/v1/folders/{folderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bots.toolzz.ai/api/v1/folders/{folderId}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://bots.toolzz.ai/api/v1/folders/{folderId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bots.toolzz.ai/api/v1/folders/{folderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"message": "<string>"
}Folders
Delete a Folder
Endpoint to delete a folder
DELETE
/
api
/
v1
/
folders
/
{folderId}
Delete a Folder
curl --request DELETE \
--url https://bots.toolzz.ai/api/v1/folders/{folderId}import requests
url = "https://bots.toolzz.ai/api/v1/folders/{folderId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://bots.toolzz.ai/api/v1/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bots.toolzz.ai/api/v1/folders/{folderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://bots.toolzz.ai/api/v1/folders/{folderId}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://bots.toolzz.ai/api/v1/folders/{folderId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bots.toolzz.ai/api/v1/folders/{folderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"message": "<string>"
}Parameters
string
The unique identifier of the folder to delete.
Query Parameters
string
The unique identifier of the workspace to delete a folder from.
User needs to be authenticated
Response Description
Below you will see the description of the function delete a folder.string
required
Successful message

